%% Controllo dei parametri
t= 0:1e-2:10; f = -3; phi = 1; A=10; 
x = A*cos(2*pi*f*t+phi);
if f<0
    disp('La sinusoinde NON è in forma canonica');
elseif f==0
    disp('Segnale constante')
else
    disp('Sinusoide in forma canonica');
end
if phi ~= 0
    disp('Fase non nulla');
end
%% Stampa i quadrati 

for number = 1:3
    fprintf('Il quadrato di %d è %d\n',number, number*number);
end

%% ricerca fattori primi di un numero
N = 877241293129;
number = 2;
while number<=N
    if ~mod(N,number)
        fprintf('%d diviso %d fa %d\n',N,number, N/number);
        N= N/number;
    else
        number = number +1;
    end
end
